FTPSTATS(8)

NAME
ftpstats - FTP Log summarizer

SYNOPSIS
ftpstats [options]

DESCRIPTION

Ftpstats dissects the defined ftp log and reports various statistics as requested. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

OPTIONS

-f filename
    Use filename rather than the default /var/log/xferlog

-r  Include real users.

-a  Include anonymous users.

-h  Include report on hourly traffic.

-d  Include report on domain traffic.

-t  Report on total traffic by section.

-i  Report on incoming traffic only (uploads).

-o  Report on outgoing traffic only (downloads).

-Ddomain
    Report only on traffic from domain This option leads to problems with the local domain: e.g. test.com is encountered under test and not recognized under com, -D com will give you only stats about com excluding test.com! Use -A com for correct results.

-Aaddress
    Report only on traffic from addresses whose end matches address e.g. -A test.domain.com will report on address ending with test.domain.com

-ldepth
    Depth of path detail for sections

-ssection
    Section to report on. e.g. -s /pub will report only on paths under /pub

BUGS
No known bugs at this time. If you discover any bugs, please report at http://bugs.proftpd.org/ For help/support, try the ProFTPD mailing lists, detailed on http://www.proftpd.org/lists.html

SEE ALSO
proftpd(8),proftpd.conf(5),xferlog(5)

AUTHORS
ProFTPD is written and maintained by a number of people, full credits can be found on http://www.proftpd.org/credits.html

CREDITS
This manual page was written by Francesco P. Lovergine <frankie@debian.org> and other Debian developers, for the Debian GNU/Linux system (but may be used by others).
Please use the most appropriate mailing list listed on http://www.proftpd.org/lists.html for ftpstats related comments.